Hi I am shifting my application from jboss 3.2.2 to jboss 4.0.1. The JSP pages were runnning fine on the old server but on JBOSS 4.0.1, the JSTL is giving a problem. I tried downloading the latest jars and tlds from the apache site but the problem persists.

I have no clue so as to what is the problem.

I looked in the server logs and the error message displayed is

C:\Downloads\jboss-4.0.1sp1\jboss-4.0.1sp1\server\default\work\jboss.web\localhost\_\org\apache\jsp\iocl\merchant_005fprofile_005fvisa_jsp.java:2765: _jspx_meth_x_out_29(javax.servlet.jsp.tagext.JspTag,javax.servlet.jsp.PageContext) in org.apache.jsp.app.customerinfovisa_jsp cannot be applied to org.apache.taglibs.standard.tag.common.xml.IfTag,javax.servlet.jsp.PageContext)
        
if (_jspx_meth_x_out_29(_jspx_th_x_if_29, _jspx_page_context))

The problem appears while jsp's are compiled and seems to appear with the <x:out> tag.

At a forum, i read that jboss 4.0 and above use DTD's for taglib support against the XML schema's in the older versions.

Is that true? and is that the reason?

And if yes then how can i fix it?

Please help!
thanx in advance

Regards,
Abhishek Bhargava